IF EXISTS (SELECT 1
            FROM  SYSOBJECTS
           WHERE  ID = OBJECT_ID('DRAG_FLOW_INFOS')
            AND   TYPE = 'U')
   DROP TABLE DRAG_FLOW_INFOS
go

IF EXISTS (SELECT 1
            FROM  SYSOBJECTS
           WHERE  ID = OBJECT_ID('DRAG_FLOW_LEGENDELEMENTS')
            AND   TYPE = 'U')
   DROP TABLE DRAG_FLOW_LEGENDELEMENTS
go

IF EXISTS (SELECT 1
            FROM  SYSOBJECTS
           WHERE  ID = OBJECT_ID('DRAG_FLOW_LEGENDINFOS')
            AND   TYPE = 'U')
   DROP TABLE DRAG_FLOW_LEGENDINFOS
go

IF EXISTS (SELECT 1
            FROM  SYSOBJECTS
           WHERE  ID = OBJECT_ID('DRAG_FLOW_STEPS')
            AND   TYPE = 'U')
   DROP TABLE DRAG_FLOW_STEPS
go

IF EXISTS (SELECT 1
            FROM  SYSOBJECTS
           WHERE  ID = OBJECT_ID('DRAG_FLOW_STEPSRELATION')
            AND   TYPE = 'U')
   DROP TABLE DRAG_FLOW_STEPSRELATION
go

IF EXISTS (SELECT 1
            FROM  SYSOBJECTS
           WHERE  ID = OBJECT_ID('DRAG_FLOW_VERSION')
            AND   TYPE = 'U')
   DROP TABLE DRAG_FLOW_VERSION
go

/*==============================================================*/
/* Table: DRAG_FLOW_INFOS                                       */
/*==============================================================*/
CREATE TABLE DRAG_FLOW_INFOS (
   DF_ID                VARCHAR(200)         NOT NULL,
   DFL_ID               VARCHAR(200)         NULL,
   DF_NAME              VARCHAR(200)         NULL,
   DF_DESC              VARCHAR(3900)        NULL,
   DF_DEPTNAME          VARCHAR(200)         NULL,
   DF_DEPTCODE          VARCHAR(100)         NULL,
   DF_CREATER_ID        VARCHAR(100)         NULL,
   DF_CREATER           VARCHAR(200)         NULL,
   DF_CREATETIME        DATETIME             NULL,
   DF_VERSION           VARCHAR(10)          NULL,
   DF_ISACTIVE          VARCHAR(4)           NULL,
   DF_LASTMODIFIED      DATETIME             NULL,
   DF_ISEDIT            VARCHAR(4)           NULL,
   CONSTRAINT PK_DRAG_FLOW_INFOS PRIMARY KEY (DF_ID)
)
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ק̻',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '̺',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ͼ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DFL_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_NAME'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_DESC'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_DEPTNAME'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ű',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_DEPTCODE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '˺',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_CREATER_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_CREATER'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʱ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_CREATETIME'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '汾ţv1.0v2.0ȣ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_VERSION'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǻ(ֻл̲ſʹãʹôֶΰDisable)',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_ISACTIVE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ֶ1',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_LASTMODIFIED'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǻ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_INFOS', 'column', 'DF_ISEDIT'
go

/*==============================================================*/
/* Table: DRAG_FLOW_LEGENDELEMENTS                              */
/*==============================================================*/
CREATE TABLE DRAG_FLOW_LEGENDELEMENTS (
   DFLE_ID              VARCHAR(200)         NOT NULL,
   DFL_ID               VARCHAR(200)         NOT NULL,
   DFLE_INNERTEXT       VARCHAR(400)         NULL,
   DFLE_TYPE            VARCHAR(20)          NULL,
   DFLE_TEXT_CUTLENGTH  INT                  NULL,
   DFLE_ISHIDDEN        VARCHAR(4)           NULL,
   CONSTRAINT PK_DRAG_FLOW_LEGENDELEMENTS PRIMARY KEY (DFLE_ID, DFL_ID)
)
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'Ԫغ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDELEMENTS', 'column', 'DFLE_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ͼ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDELEMENTS', 'column', 'DFL_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'Ϊʵ߾Ρ߿ΡԲδѰδ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDELEMENTS', 'column', 'DFLE_TYPE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǷʾǷأĬΪ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDELEMENTS', 'column', 'DFLE_ISHIDDEN'
go

/*==============================================================*/
/* Table: DRAG_FLOW_LEGENDINFOS                                 */
/*==============================================================*/
CREATE TABLE DRAG_FLOW_LEGENDINFOS (
   DFL_ID               VARCHAR(200)         NOT NULL,
   DFL_STYLE            VARCHAR(20)          NULL,
   DFL_ISDEFAULT        VARCHAR(4)           NULL,
   DFL_CREATORID        VARCHAR(100)         NULL,
   DFL_CREATOR          VARCHAR(200)         NULL,
   DFL_CREATDATE        DATETIME             NULL,
   DFL_LASTUPDATEDATE   DATETIME             NULL,
   DFLE_ISDRAGED        VARCHAR(4)           NULL,
   CONSTRAINT PK_DRAG_FLOW_LEGENDINFOS PRIMARY KEY (DFL_ID)
)
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'קͼ˵',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ͼ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_STYLE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǷĬͼ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_ISDEFAULT'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ID',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_CREATORID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_CREATOR'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʱ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_CREATDATE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '޸ʱ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFL_LASTUPDATEDATE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'Ƿק',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_LEGENDINFOS', 'column', 'DFLE_ISDRAGED'
go

/*==============================================================*/
/* Table: DRAG_FLOW_STEPS                                       */
/*==============================================================*/
CREATE TABLE DRAG_FLOW_STEPS (
   DFS_ID               VARCHAR(200)         NOT NULL,
   DF_ID                VARCHAR(200)         NOT NULL,
   DFS_NAME             VARCHAR(200)         NULL,
   DFS_DESC             VARCHAR(3800)        NULL,
   DFS_TYPE             VARCHAR(20)          NULL,
   DFS_ORDERNO          INT                  NULL,
   DFS_X                FLOAT                NULL,
   DFS_Y                FLOAT                NULL,
   DFS_WIDTH            INT                  NULL,
   DFS_HEIGHT           INT                  NULL,
   DFS_PARENTID         VARCHAR(200)         NULL,
   DFS_TITLE_CUTLENGTH  INT                  NULL,
   DFS_DESC_CUTLENGTH   INT                  NULL,
   DFS_STYLE            VARCHAR(40)          NULL,
   DFS_ISROOTSTEP       VARCHAR(4)           NULL,
   CONSTRAINT PK_DRAG_FLOW_STEPS PRIMARY KEY (DFS_ID, DF_ID)
)
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'קϢ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '̺',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DF_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_NAME'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_DESC'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ͣʵ߾Ρ߾ΡԲհ׿ȣ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_TYPE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_ORDERNO'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'X',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_X'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'Y',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_Y'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_WIDTH'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '߶',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_HEIGHT'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ID',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_PARENTID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'и',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_TITLE_CUTLENGTH'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'и',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_DESC_CUTLENGTH'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_STYLE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǻǷײ裩',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPS', 'column', 'DFS_ISROOTSTEP'
go

/*==============================================================*/
/* Table: DRAG_FLOW_STEPSRELATION                               */
/*==============================================================*/
CREATE TABLE DRAG_FLOW_STEPSRELATION (
   DFSR_ID              VARCHAR(200)         NOT NULL,
   DF_ID                VARCHAR(200)         NULL,
   DFS_SOURCEID         VARCHAR(200)         NULL,
   DFS_TARGETID         VARCHAR(200)         NULL,
   DFSR_CSSCLASS        VARCHAR(50)          NULL,
   DFSR_CONNECTOR       VARCHAR(100)         NULL,
   DFSR_ANCHORS         VARCHAR(1000)        NULL,
   DFSR_ANCHOR          VARCHAR(100)         NULL,
   DFSR_PAINTSTYLE      VARCHAR(1000)        NULL,
   DFSR_ENDPOINT        VARCHAR(1000)        NULL,
   DFSR_ENDPOIONTSTYLE  VARCHAR(1000)        NULL,
   DFSR_HOVERSTYLE      VARCHAR(1000)        NULL,
   DFSR_OVERLAYS        VARCHAR(1000)        NULL,
   DFSR_LABEL           VARCHAR(1000)        NULL,
   DFSR_LABELSTYLE      VARCHAR(1000)        NULL,
   CONSTRAINT PK_DRAG_FLOW_STEPSRELATION PRIMARY KEY (DFSR_ID)
)
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'קԪعϵ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ϵID',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ID',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DF_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ԴID',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFS_SOURCEID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'Ŀ경',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFS_TARGETID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_CSSCLASS'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'FlowchartBezierStraightStateMachineȣĬΪFlowchart',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_CONNECTOR'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ê㼯ϣ["Center", "Center"]',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_ANCHORS'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'êֶͣDFSR_AnchorsֶΣֵContinuousAutoDefaultAssignPerimeterCenterȣĬΪContinuous',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_ANCHOR'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_PAINTSTYLE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '˵УBlankImageRectangleDot',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_ENDPOINT'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '˵ʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_ENDPOIONTSTYLE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_HOVERSTYLE'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_OVERLAYS'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǩ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_LABEL'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǩʽ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_STEPSRELATION', 'column', 'DFSR_LABELSTYLE'
go

/*==============================================================*/
/* Table: DRAG_FLOW_VERSION                                     */
/*==============================================================*/
CREATE TABLE DRAG_FLOW_VERSION (
   DFV_CUR_ID           VARCHAR(200)         NOT NULL,
   DFV_BEF_ID           VARCHAR(200)         NOT NULL,
   CONSTRAINT PK_DRAG_FLOW_VERSION PRIMARY KEY (DFV_CUR_ID, DFV_BEF_ID)
)
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '׹̰汾Ӧ',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_VERSION'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   'ǰ汾̺',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_VERSION', 'column', 'DFV_CUR_ID'
go

DECLARE @CURRENTUSER SYSNAME
SELECT @CURRENTUSER = USER_NAME()
EXECUTE SP_ADDEXTENDEDPROPERTY 'MS_Description', 
   '֮ǰ汾̺',
   'user', @CURRENTUSER, 'table', 'DRAG_FLOW_VERSION', 'column', 'DFV_BEF_ID'
go
